# frozen_string_literal: true

require_relative './rixml_document/research'

module RixmlDocument
  def self.parse(xml)
    RixmlDocument::Research.parse(xml)
  end

  def self.parse_from_file(filename)
    xml = File.read(filename)
    parse(xml)
  end
end
