# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class AssetClass < Node
    include HappyMapper
    tag 'AssetClass'

    attribute :asset_class, RixmlType::NormalizedString, tag: 'assetClass'
  end
end
