# frozen_string_literal: true

require 'happymapper'
require_relative './node'
require_relative './rixml_type/normalized_string'

module RixmlDocument
  class ProductCategory < Node
    include HappyMapper
    tag 'ProductCategory'

    attribute :product_category, RixmlType::NormalizedString, tag: 'productCategory'
    attribute :publisher_defined_value, String, tag: 'publisherDefinedValue'
  end
end
